Skip to main content
GET
/
api
/
agents
/
{agent_id}
/
conversations
/
{conversation_id}
Get Agent Conversation
curl --request GET \
  --url https://api-in.getello.ai/api/agents/{agent_id}/conversations/{conversation_id} \
  --header 'X-API-Key: <api-key>'
{
  "status": 200,
  "message": "Conversation retrieved successfully",
  "data": {
    "id": "6900be1d39f3fd5dd4e503d4",
    "assistant_id": "68dce5202fc07b92042493b1",
    "conversation_id": "6900b87ca70928b1224f0619",
    "disconnect_reason": "user_disconnect",
    "status": "connected",
    "to_number": null,
    "userId": "685d4b93fb5b2e221dc80ea8",
    "workspaceId": "6960a5eb2c65e7fda50603e5",
    "campaign_id": null,
    "connected_at": "2025-10-28T12:35:17.423000Z",
    "ended_at": "2025-10-28T12:59:09.821000Z",
    "duration": "00:23:52",
    "duration_sec": 1432,
    "disconnected_by": "user",
    "metadata": {
      "summary": "…",
      "process_compliance": "yes",
      "outcome": "positive"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs-in.getello.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string
required

Unique identifier of the agent.

Example:

"68dce5202fc07b92042493b1"

conversation_id
string
required

Unique identifier of the conversation.

Example:

"6900b87ca70928b1224f0619"

Response

Conversation retrieved successfully

status
integer
Example:

200

message
string
Example:

"Conversation retrieved successfully"

data
object

Conversation info record returned by assistant-service (fields may include additional keys).